Skip to main content
GET
/
v1
/
projects
/
{projectId}
/
connections
/
environment-overrides
Retrieve a page of connection overrides which apply in a specific environment.
curl --request GET \
  --url https://eu1.api.matillion.com/dpc/v1/projects/{projectId}/connections/environment-overrides \
  --header 'Authorization: Bearer <token>'
{
  "authProvider": "NONE",
  "authType": "GENERIC_SECRET",
  "connectionOverrides": {
    "connectionProperties": {
      "secretName": "db-credentials",
      "secretKey": "password"
    },
    "secretsLocation": {
      "type": "AWS_SECRET_MANAGER",
      "region": "<string>"
    }
  },
  "createdBy": "<string>",
  "createdDate": "2023-11-07T05:31:56Z",
  "name": "my-jira-connection",
  "platformConnectionType": "COMPONENT_BASIC",
  "projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

a valid bearer token

Path Parameters

projectId
string
required

The unique identifier of the project for which the connections will be listed.

Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$

Query Parameters

environmentName
string
required

The name of the environment to list which connection overrides are applied in.

Response

Successfully retrieved connection

authProvider
string

The authentication provider

Example:

"NONE"

authType
enum<string>

The authentication type

Available options:
GENERIC_SECRET,
CLOUD_PROVIDER_SECRET
Example:

"GENERIC_SECRET"

connectionOverrides
object

Connection override configuration

createdBy
string

The user who created the connection

createdDate
string<date-time>

The date and time when the connection was created

name
string

The name of the connection

Example:

"my-jira-connection"

platformConnectionType
enum<string>

The platform connection type

Available options:
DWH,
COMPONENT_BASIC,
CLOUD_PLATFORM_CREDENTIALS
Example:

"COMPONENT_BASIC"

projectId
string<uuid>

The project ID this connection belongs to